Bug 772820 - Notification message wraps despite having sufficient width
Notification message wraps despite having sufficient width
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
Depends On:
  Show dependency treegraph
Reported: 2012-01-09 21:56 EST by David Mason
Modified: 2013-03-03 21:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-19 20:52:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-01-09 21:56:54 EST
Description of problem:
In translation editor, when the browser window is narrow or the project/document name is long, notification messages (e.g. save notifications) wrap to 2 or more lines and are not fully visible as they extend below the blue bar. There appears to be sufficient space to the right of the save notification so it should not need to wrap.
When viewing a multi-module project with long path names, 1600px was sufficiently narrow to cause wrapping, and the notification was completely invisible with widths less than 1500px.

Version-Release number of selected component (if applicable):

How reproducible:
Varies with document path length

Steps to Reproduce:
1. Open a document with long path names
2. Reduce the browser width
3. Save changes to a translation unit
Actual results:
Notification displays wrapped and partially visible, or not at all.

Expected results:
Notification is completely visible when browser width is 1024px or greater.

Additional info:
Document path/name also appear to be cut short sometimes.
Comment 1 Alex Eng 2012-07-19 20:52:21 EDT
Bug is not reproducible with notification interface changed in 1.7.

New notification display is a windows on top right side with scroll if too long.

Note You need to log in before you can comment on or make changes to this bug.